function showmesh3D( nodes, x, y, z, col1, col2 )
n = max(size(nodes));
plot3(x,y,z,'.','Color',col1);
hold on;
for k=1:n
   X = [x(nodes(k,1)) x(nodes(k,2))];
   Y = [y(nodes(k,1)) y(nodes(k,2))];
   Z = [z(nodes(k,1)) z(nodes(k,2))];
   plot3(X,Y,Z,'Color',col2);
   hold on;
end
hold on;
plot3([0 1],[0 0],[0 0],'k','Linewidth',2);
hold on;
plot3([0 0],[0 1],[0 0],'k','Linewidth',2);
hold on;
plot3([0 0],[0 0],[0 1],'k','Linewidth',2);
grid on;
text(1.1,0,0,'X');
text(0,1.1,0,'Y');
text(0,0,1.1,'Z');
